package com.jsowell.pile.domain;

import com.jsowell.common.annotation.Excel;
import com.jsowell.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 站点白名单对象 pile_station_whitelist
 *
 * @author jsowell
 * @date 2023-04-19
 */
public class PileStationWhitelist extends BaseEntity {
	private static final long serialVersionUID = 1L;

	/**
	 * 主键
	 */
	private Long id;

	/**
	 * 站点id
	 */
	@Excel(name = "站点id")
	private String stationId;

	/**
	 * 会员id
	 */
	@Excel(name = "会员id")
	private String memberId;

	/**
	 * 手机号
	 */
	@Excel(name = "手机号")
	private String mobileNumber;

	/**
	 * 删除标识（0-正常；1-删除）
	 */
	private String delFlag;

	public void setId(Long id) {
		this.id = id;
	}

	public Long getId() {
		return id;
	}

	public void setStationId(String stationId) {
		this.stationId = stationId;
	}

	public String getStationId() {
		return stationId;
	}

	public void setMemberId(String memberId) {
		this.memberId = memberId;
	}

	public String getMemberId() {
		return memberId;
	}

	public String getMobileNumber() {
		return mobileNumber;
	}

	public void setMobileNumber(String mobileNumber) {
		this.mobileNumber = mobileNumber;
	}

	public void setDelFlag(String delFlag) {
		this.delFlag = delFlag;
	}

	public String getDelFlag() {
		return delFlag;
	}

	@Override
	public String toString() {
		return new ToStringBuilder(this, ToStringStyle.JSON_STYLE)
				.append("id", getId())
				.append("stationId", getStationId())
				.append("memberId", getMemberId())
				.append("createTime", getCreateTime())
				.append("createBy", getCreateBy())
				.append("updateTime", getUpdateTime())
				.append("updateBy", getUpdateBy())
				.append("delFlag", getDelFlag())
				.toString();
	}
}
